View Issue Details

IDProjectCategoryView StatusLast Update
0000947ArchBugpublic2013-04-07 19:30
ReporterkforresterAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0000947: Window object does not update if it fully constrained in Arch module
DescriptionI am using the Window feature to create simple doors. I am using a fully constrained Sketch to define the door. When I change a dimension in the sketch the model does not update. I am using version 0.13 RC from sourceforge on Windows. You will note in the Sketch when you try to edit the Sketches referred to in the Windows to not match up after the update.
TagsNo tags attached.

Activities

2013-01-07 17:33

 

windows_test.FCStd (Attachment missing)

yorik

2013-01-08 10:54

administrator   ~0002822

I'll look into this as soon as i have a computer again

kforrester

2013-04-03 16:59

reporter   ~0003038

this problem is also prevalent on Ubuntu using the ppa daily build (freecad-daily)

yorik

2013-04-07 19:30

administrator   ~0003050

Ok I committed a fix in a413a87 which removes external constraints from underlying sketches on window creation. This is unfortunately a limitation that cannot be avoided at the moment. Windows must be children of walls, and therefore their underlying sketches cannot have external references to those walls or to any object that references those walls, to avoid non-DAG situation (where an object is a child and a parent at the same time)

The correct way to solve that problem will be to use external constraints from the assembly module when it'll be ready.

In the meantime I also added a fixWindow() method to the arch module to fix existing files. It can be used like this, to clean a selected window object:

import Arch; Arch.fixWindow(FreeCADGui.Selection.getSelection()[0])

I'm closing this bug report now, don't hesitate to reopen if needed.

Issue History

Date Modified Username Field Change
2013-01-07 17:33 kforrester New Issue
2013-01-07 17:33 kforrester File Added: windows_test.FCStd
2013-01-08 10:53 yorik Status new => assigned
2013-01-08 10:53 yorik Assigned To => yorik
2013-01-08 10:54 yorik Note Added: 0002822
2013-04-03 16:59 kforrester Note Added: 0003038
2013-04-07 19:30 yorik Note Added: 0003050
2013-04-07 19:30 yorik Status assigned => closed
2013-04-07 19:30 yorik Resolution open => fixed
2013-04-07 19:30 yorik Fixed in Version => 0.14